import request from '@/utils/request'

// 查询健康咨询-科室人员信息列表
export function listHospitalPerson(query) {
    return request({
        url: '/system/hospitalPerson/list',
        method: 'get',
        params: query
    })
}
// 查询科室信息管理列表
export function listHospitalDepartment(query) {
    return request({
        url: '/system/hospitalDepartment/list',
        
        method: 'get',
        params: query
    })
}
// 查询健康咨询-科室人员信息详细
export function getHospitalPerson(id) {
    return request({
        url: '/system/hospitalPerson/' + id,
        method: 'get'
    })
}

// 新增健康咨询-科室人员信息
export function addHospitalPerson(data) {
    return request({
        url: '/system/hospitalPerson/add',
        method: 'post',
        data: data
    })
}
export function list(query) {
    return request({
        url: '/system/hospital/list',
        method: 'get',
        params: query
    })
}

// 修改健康咨询-科室人员信息
export function updateHospitalPerson(data) {
    return request({
        url: '/system/hospitalPerson/edit',
        method: 'post',
        data: data
    })
}

// 删除健康咨询-科室人员信息
export function delHospitalPerson(id) {
    return request({
        url: '/system/hospitalPerson/' + id,
        method: 'delete'
    })
}
